#!/bin/sh

for DIR in "./build/" "./build/i586/" "./build/x86_64/" "./build/tools/"
do
  (! [ -d $DIR ] ) && mkdir $DIR
done

#cp -af tools/dd.sh build/tools/dd.sh
cp -af data/run.sh build/
cp -af data/makeself.sh build/
cp -af data/xdg-su build/
cp -af LICENSE.txt build/

make dist
mv -f po/locale/ build/

ARCH="i586"
if [ "x86_64" = "`uname -m`" ]; then
  ARCH="x86_64"
fi

cxfreeze jolicloud-usb-creator.py --target-dir=build/$ARCH/ --include-modules=PyQt4,dbus,sip,encodings.utf_8,encodings.ascii
mv build/$ARCH/jolicloud-usb-creator build/$ARCH/jolicloud-usb-creator.py
